Subject: Re: [PATCH v7 5/7] clk: imx: Add initial support for i.MXRT1050 clock driver

From: Stephen Boyd <[email-masked]>
Date: Tue, 11 Jan 2022 18:46:20 -0800

Quoting Abel Vesa (2022-01-10 14:48:10)
> On 22-01-10 12:12:00, Stephen Boyd wrote:
> > Quoting Jesse Taube (2022-01-09 11:07:42)
> > > >> +
> > > >> +       clk_hw_data->num = IMXRT1050_CLK_END;
> > > >> +       hws = clk_hw_data->hws;
> > > >> +
> > > >> +       hws[IMXRT1050_CLK_OSC] = __clk_get_hw(of_clk_get_by_name(np, "osc"));
> > > > 
> > > > Use clk_parent_data instead and reference the binding name with .fw_name
> > > 
> > > Hi Stephen, sorry to bother you again.
> > > I'm wondering if adding `clk_parent_data` is necessary as it seems like 
> > > it wold be a big change and the other IMX boards haven't implemented 
> > > this yet would it be okay if I don't do this, or if it is necessary 
> > > could you link to a patch set to change it.
> > > 
> > 
> > Is it a big change because the imx_clk_hw*() APIs aren't prepared for
> > non-string parents? Can you make some clk_parent_data based APIs and
> > migrate things over gradually? This is really a question for i.MX folks
> > to see if anyone is working on moving away from the string names.
> 
> I'm currently looking into it. I would suggest we take this patch as is
> and I'll switch it later on to clk_parent_data.
> 

Ok sounds like a plan.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel